# Class MocQuery

java.lang.Object
healpix.essentials.MocQuery

public class MocQuery extends Object
Support for MOC queries.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MocQuery.MocQueryComponent`
`static enum`
`MocQuery.MocQueryOp`

## Constructor Summary

Constructors
Constructor
Description
`MocQuery()`

## Method Summary

Modifier and Type
Method
Description
`static Moc`
`doMocQuery(int order, ArrayList<MocQuery.MocQueryComponent> comp)`
`static Moc`
`doMocQueryInclusive(int order, int omax, ArrayList<MocQuery.MocQueryComponent> comp)`
`static ArrayList<MocQuery.MocQueryComponent>`
`prepPolygon(ArrayList<Vec3> vertex)`
`static ArrayList<MocQuery.MocQueryComponent>`
`prepPolyHelper(Vec3[] vv, int[] P, ArrayList<MocQuery.MocQueryComponent> comp, boolean doLast)`
`static Moc`
`queryGeneralPolygon(ArrayList<Vec3> vertex, int order)`
`static Moc`
`queryGeneralPolygonInclusive(ArrayList<Vec3> vertex, int order, int omax)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MocQuery

public MocQuery()

## Method Details

### doMocQuery

public static Moc doMocQuery(int order, ArrayList<MocQuery.MocQueryComponent> comp) throws Exception

Throws:
  `Exception`

### doMocQueryInclusive

public static Moc doMocQueryInclusive(int order, int omax, ArrayList<MocQuery.MocQueryComponent> comp) throws Exception

Throws:
  `Exception`

### prepPolyHelper

public static ArrayList<MocQuery.MocQueryComponent> prepPolyHelper(Vec3[] vv, int[] P, ArrayList<MocQuery.MocQueryComponent> comp, boolean doLast) throws Exception

Throws:
  `Exception`

### prepPolygon

public static ArrayList<MocQuery.MocQueryComponent> prepPolygon(ArrayList<Vec3> vertex) throws Exception

Throws:
  `Exception`

### queryGeneralPolygon

public static Moc queryGeneralPolygon(ArrayList<Vec3> vertex, int order) throws Exception

Throws:
  `Exception`

### queryGeneralPolygonInclusive

public static Moc queryGeneralPolygonInclusive(ArrayList<Vec3> vertex, int order, int omax) throws Exception

Throws:
  `Exception`